# Armbian u-boot install script for linux-u-boot-nanopi-r3s-lts-current 2025.04-S3482-P6c66-Hc6f6-V3628-Bb703-R448a
# This file provides functions for deploying u-boot to a block device.
DIR=/usr/lib/linux-u-boot-current-nanopi-r3s-lts
write_uboot_platform () 
{ 
    dd if=$1/u-boot-rockchip.bin of=$2 seek=64 conv=notrunc status=none
}

setup_write_uboot_platform () 
{ 
    if grep -q "ubootpart" /proc/cmdline; then
        local tmp part dev;
        tmp=$(cat /proc/cmdline);
        tmp="${tmp##*ubootpart=}";
        tmp="${tmp%% *}";
        [[ -n $tmp ]] && part=$(findfs PARTUUID=$tmp 2> /dev/null);
        [[ -n $part ]] && dev=$(lsblk -n -o PKNAME $part 2> /dev/null);
        [[ -n $dev ]] && DEVICE="/dev/$dev";
    fi
}
